<?
require'../config.php';
$align='left';
$title='Всевидящее око-'.date("H:i", $time);
aut();
head();
who_add(0,'enter');

$select = @$db->sql_query ("Select * from users where id='".$nk."'");
$inf = $db->sql_fetchrow ($select);



switch($mod) {
default:
if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post=$db->sql_fetchfield($db->sql_query("select COUNT(*) from oko WHERE user_id='$user[id]';"),0);
$k_page=k_page($k_post,$max);
$page=page($k_page);
$start=$max*$page-$max;


echo 'Всего сообщений: '.$k_post;
echo '<br /><a href="?">Обновить</a><br /><br />';




$r = $db->sql_query ("select * from oko WHERE user_id='$user[id]' order by id desc limit $start,$max");
while ($a = $db->sql_fetchrow($r))
{


echo links.''.nik($a['who_id']).' ('.times($a['time']).')'.div.' '.text($a['msg']).'<dl></dl>';

}

if ($k_page>1){
echo "<br/><dl><dt></dt></dl>";
str("?",$k_page,$page); // Вывод страниц
echo "<br/><dl><dt></dt></dl>";
}
echo "<br /><a href=\"?mod=dell\">Очистить</a><br />\n";
break;

case 'dell':

$r = $db->sql_query ("select * from oko WHERE user_id='$user[id]' order by id desc;");
while ($a = $db->sql_fetchrow($r))
{

$db->sql_query("delete from oko WHERE id='".$a['id']."';");

}

header("Location: ?".SID);
break;

}


echo "<br/>";
echo gb.'<a href="index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;

foot();
?>
